페이지 게시
URL로 페이지를 렌더하거나 GEO Score의 사본을 AI 에이전트용으로 게시합니다.
POST
/
v1
/
ai-rendering
/
sites
/
{id}
/
pages
curl --request POST \
--url https://api.querying.ai/v1/ai-rendering/sites/{id}/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com/products/sunscreen"
}
'
{
"success": true,
"page": {
"id": "<string>",
"url": "<string>",
"path": "<string>",
"status": "rendering",
"copy": "<string>",
"taskId": "<string>",
"renderedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"refreshAt": "2023-11-07T05:31:56Z",
"refreshTaskId": "<string>"
},
"taskId": "<string>"
}{
"success": true,
"page": {
"id": "a3d1c9e0-7b52-4e1f-9c84-0f6b2d5e7a10",
"url": "https://www.example.com/products/sunscreen",
"path": "/products/sunscreen",
"status": "rendering",
"copy": null,
"taskId": null,
"renderedAt": null,
"expiresAt": null,
"publishedAt": "2026-10-23T01:00:00.000Z",
"refreshAt": "2026-10-23T01:00:00.000Z",
"refreshTaskId": "7c4e2a90-1d3b-4f6a-8e25-9b0c1f3d4e57"
},
"taskId": "7c4e2a90-1d3b-4f6a-8e25-9b0c1f3d4e57"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}인증
Your API key, sent as Authorization: Bearer <key>.
경로 매개변수
The site's id.
본문
application/json
Send url to render the page now, or taskId to publish the copy a completed GEO Score made.
⌘I
curl --request POST \
--url https://api.querying.ai/v1/ai-rendering/sites/{id}/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://www.example.com/products/sunscreen"
}
'
{
"success": true,
"page": {
"id": "<string>",
"url": "<string>",
"path": "<string>",
"status": "rendering",
"copy": "<string>",
"taskId": "<string>",
"renderedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"refreshAt": "2023-11-07T05:31:56Z",
"refreshTaskId": "<string>"
},
"taskId": "<string>"
}{
"success": true,
"page": {
"id": "a3d1c9e0-7b52-4e1f-9c84-0f6b2d5e7a10",
"url": "https://www.example.com/products/sunscreen",
"path": "/products/sunscreen",
"status": "rendering",
"copy": null,
"taskId": null,
"renderedAt": null,
"expiresAt": null,
"publishedAt": "2026-10-23T01:00:00.000Z",
"refreshAt": "2026-10-23T01:00:00.000Z",
"refreshTaskId": "7c4e2a90-1d3b-4f6a-8e25-9b0c1f3d4e57"
},
"taskId": "7c4e2a90-1d3b-4f6a-8e25-9b0c1f3d4e57"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"timestamp": "2023-11-07T05:31:56Z"
}
}